Index: /quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 3004)
+++ /quintagroup.plonegooglesitemaps/trunk/docs/HISTORY.txt	(revision 3005)
@@ -2,5 +2,5 @@
 =========
 
-1.6.0 (2010-10-11)
+1.6.0 (2010-11-12)
 ------------------
 
@@ -8,5 +8,5 @@
   with default "id" and "path" filters.
   [mylan]
-* Updated tests, added filtering doctests,
+* Updated tests, added filtering doctests.
   [mylan]
 
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/README.txt
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/README.txt	(revision 3004)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/README.txt	(revision 3005)
@@ -1,6 +1,2 @@
-===============================
-quintagroup.plonegooglesitemaps
-===============================
-
 Plone Google Sitemaps product allows Plone websites to get better visibility for Google search engine by providing it with complete listing of URLs to website content.
   
@@ -22,41 +18,37 @@
 =====
 
-  To enable Google Sitemaps on your site:
+To enable Google Sitemaps on your site:
 
-  * Add Sitemap(s) at Google Sitemap "Settings" tab (Add-on Products Configuarion -> Google Sitemaps). You can add any of the Sitemap types: content, mobile or news. 
+* Add Sitemap(s) at Google Sitemap "Settings" tab (Add-on Products Configuarion -> Google Sitemaps). You can add any of the Sitemap types: content, mobile or news. 
 
-  * Let Google know about your Sitemap(s) by adding your Sitemap to Google Sitemaps.
+* Let Google know about your Sitemap(s) by adding your Sitemap to Google Sitemaps.
 
-  See more detailed instructions on Plone Google Sitemaps usage at http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
+See more detailed instructions on Plone Google Sitemaps usage at http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
 
 MIGRATION
 =========
 
-   If you UPGRADE older version of quintagroup.plonegooglesitemaps package to newer:
-   --------------------------------------------------------------------------------
-    1. In your zope instance configuration or buildout - replace old package version
-       with new one.
-    2. Run plone instance and reinstall package with Quickinstaller tool
-       ("Add-on Products" in plone control panel).
+If you UPGRADE older version of quintagroup.plonegooglesitemaps package to newer:
+---------------------------------------------------------------------------------
 
-   If your MIGRATE from Products.qPloneGoogleSitemaps to quintagroup.plonegooglesitemaps:
-   -------------------------------------------------------------------------------------
-    1. Add to new plone instance/buildout both qPloneGoogleSitemaps product and
-       last version quintagroup.plonegooglesitemaps package.
-    2. Copy Data.fs from old Plone instance to new one.
-    3. Start your new zope instance/buildout.
+1. In your zope instance configuration or buildout - replace old package version with new one.
+2. Run plone instance and reinstall package with Quickinstaller tool ("Add-on Products" in plone control panel).
 
-    _The following steps are performed in the plone instance_
-    4. With portal_migration (ZMI) - upgrade plone instance.
-    5. With Quickinstaller tool ("Add-on Products" in plone control panel)
-       deinstall old "Plone Google Sitemaps" product and install new version.
-    6. Go to *Import* tab in portal_setup tool (ZMI), select "Migrate from 
-       qPloneGoogleSitemaps to quintagroup.plonegooglesitemaps" profile from
-       selection box and choose same-named import step and push "Import 
-       selected steps" button.
+If your MIGRATE from Products.qPloneGoogleSitemaps to quintagroup.plonegooglesitemaps:
+--------------------------------------------------------------------------------------
 
-    _And the last clean-up steps:_
-    7. Remove qPloneGoogleSitemaps product from your zope instance/buildout
-       configuration.
+1. Add to new plone instance/buildout both qPloneGoogleSitemaps product and last version quintagroup.plonegooglesitemaps package.
+2. Copy Data.fs from old Plone instance to new one.
+3. Start your new zope instance/buildout.
+
+The following steps are performed in the plone instance:
+
+4. With portal_migration (ZMI) - upgrade plone instance.
+5. With Quickinstaller tool ("Add-on Products" in plone control panel) deinstall old "Plone Google Sitemaps" product and install new version.
+6. Go to *Import* tab in portal_setup tool (ZMI), select "Migrate from qPloneGoogleSitemaps to quintagroup.plonegooglesitemaps" profile from selection box and choose same-named import step and push "Import selected steps" button.
+
+And the last clean-up steps:
+
+7. Remove qPloneGoogleSitemaps product from your zope instance/buildout configuration.
 
 
@@ -64,35 +56,26 @@
 ==========
 
-  Watch Plone Google Sitemaps Screencasts at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps to see how to use this products on your Plone instance. Learn about how to install and configure Sitemaps on your Plone instance, how to create new Google Sitemaps, and how to let Google know about them.
+Watch Plone Google Sitemaps Screencasts at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps to see how to use this products on your Plone instance. Learn about how to install and configure Sitemaps on your Plone instance, how to create new Google Sitemaps, and how to let Google know about them.
 
 LINKS
 =====
 
-  * See "Google Sitemaps": https://www.google.com/webmasters/sitemaps website for more information.
-
-  * Product Homepage: http://quintagroup.com/services/plone-development/products/google-sitemaps
-
-  * Documentation Area: http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
-
-  * Repository: http://svn.quintagroup.com/products/quintagroup.plonegooglesitemaps
-
-  * Releases: http://plone.org/products/qplonegooglesitemaps/releases
-  
-  * Watch "Plone Google Sitemeps" Screencast at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps
-
+* See "Google Sitemaps": https://www.google.com/webmasters/sitemaps website for more information.
+* Product Homepage: http://quintagroup.com/services/plone-development/products/google-sitemaps
+* Documentation Area: http://projects.quintagroup.com/products/wiki/qPloneGoogleSitemaps
+* Repository: http://svn.quintagroup.com/products/quintagroup.plonegooglesitemaps
+* Releases: http://plone.org/products/qplonegooglesitemaps/releases
+* Watch "Plone Google Sitemeps" Screencast at http://quintagroup.com/cms/screencasts/qplonegooglesitemaps
 
 AUTHORS
 =======
 
-  The product was developed by Quintagroup.com team:
+The product was developed by Quintagroup.com team:
 
-  * Myroslav Opyr
+* Myroslav Opyr
+* Andriy Mylenkyi
+* Nazar Ilchuk 
+* Mykola Kharechko
+ 
+Copyright (c) "Quintagroup": http://quintagroup.com, 2004-2010
 
-  * Andriy Mylenkyi
-
-  * Nazar Ilchuk 
-
-  * Mykola Kharechko
- 
-
-Copyright (c) "Quintagroup": http://quintagroup.com, 2004-2010
Index: /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt
===================================================================
--- /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt	(revision 3004)
+++ /quintagroup.plonegooglesitemaps/trunk/quintagroup/plonegooglesitemaps/filters.txt	(revision 3005)
@@ -3,15 +3,14 @@
 ==================
 
-Filtering introductioin
-=======================
-
-Sitemap portal type has an option, designed to filter out
-objects which should be excluded from a sitemap. This option is
-accessable in sitemap edit form and is labeled as
-"Blackout entries".
+Introduction
+============
+
+Sitemap portal type has an option that filters objects that
+should be excluded from a sitemap. This option is accessable
+on sitemap edit form and is labeled as "Blackout entries".
 
 In earlier versions of the package (<4.0.1 for plone-4 branch
 and <3.0.7 for plone-3 branch) this field allowed to
-filter objects only by their ids, and looked like:
+filter objects only by their ids, and it looked like:
 
 <pre>
@@ -20,11 +19,10 @@
 </pre>
 
-So, all objects with "index.html" or "index_html" ids were
-excluded from the sitemap.
-
-In the new versions of GoogleSitemaps filtering was remade
-to pluggable architecture. Now filters became named multi
-adapters. There are only two default filters - "id" and
-"path".
+As a result, all objects with "index.html" or "index_html" ids 
+were excluded from the sitemap.
+
+In the new versions of GoogleSitemaps filtering was refactored
+to pluggable architecture. Now filters turned to be named multi
+adapters. There are only two default filters: "id" and "path".
 
 Since different filters can be used - new syntax was applied
@@ -34,19 +32,18 @@
   [<filter name>:]<filter arguments>
 
-If no <filter name> is specified - "id" filter will
-be used. If <filter name> is specified - system will look
-for <filter name>-named  multiadapter to IBlackoutFilter
-interface. If such multiadapter is not found - filter
-will be ignored without raising any errors.
-
-
-Following parts demonstrate working of the filtering.
-Aspects of default filters ("id" and "path")
-are considered yet.
-
-Setup demonstration environment
+* If no <filter name> is specified - "id" filter will be used. 
+* If <filter name> is specified - system will look for 
+  <filter name>-named  multiadapter to IBlackoutFilter interface. 
+  If such multiadapter is not found - filter ill be ignored without
+  raising any errors.
+
+The following parts demonstrate how to work with filtering.
+Aspects of default filters ("id" and "path") will also be 
+considered.
+
+Demonstration environment setup
 ===============================
 
-First, we must perform some setup. We use the testbrowser that is
+First, we have to do some setup. We use testbrowser that is
 shipped with Five, as this provides proper Zope 2 integration. Most
 of the documentation, though, is in the underlying zope.testbrower
@@ -57,6 +54,6 @@
     >>> portal_url = self.portal.absolute_url()
 
-The following is useful when writing and debugging testbrowser tests.
-It lets us see all error messages in the error_log.
+This is useful when writing and debugging testbrowser tests. It lets
+us see all error messages in the error_log.
 
     >>> self.portal.error_log._ignored_exceptions = ()
@@ -88,5 +85,5 @@
 =============
 
-First create some content for demonstrations.
+First, create some content for demonstration purpose.
 
 In the root of the portal
@@ -105,7 +102,7 @@
     >>> browser.getControl('Add Content Sitemap').click()
     
-Now we bring-up to edit form of the newly created content sitemap.
-We are interested in two things: "Blackout entries" field must
-present in the form and by default it should be empty.
+Now we are landed on the newly-created sitemap edit form.
+What we are interested in is "Blackout entries" field on the edit 
+form, it should be empty by default settings.
 
     >>> file("/tmp/browser.0.html","wb").write(browser.contents)
@@ -121,5 +118,5 @@
 
 
-Click on "Save" button lead us to result sitemap view.
+Clicking on "Save" button will lead us to the sitemap view.
 
     >>> print browser.contents
@@ -127,6 +124,6 @@
 
 
-"sitemap.xml" link should appear in "Settings" page of the
-Plone Google Sitemap configlet when "Content Sitemap"
+"sitemap.xml" link should appear on "Settings" page of the
+Plone Google Sitemap configlet after "Content Sitemap"
 was added.
 
@@ -135,6 +132,6 @@
     >>> smedit_url = smedit_link.url
 
-This link points to edit form of the newly created sitemap.xml.
-Let prepare view link to simplifier following demonstrations.
+This link points to the newly-created sitemap.xml edit form.
+Let's prepare view link to simplify the following demonstrations.
 
     >>> smedit_url.endswith("sitemap.xml/edit")
@@ -146,5 +143,5 @@
 ==========
 
-Created sitemap has no filters and all documents should appear in it.
+The created sitemap has no filters applied and all documents should appear in it.
 
     >>> browser.open(smview_url)
@@ -152,5 +149,5 @@
     >>> no_filters_content = browser.contents
 
-Check if resulted page really is sitemap...
+Check if result page is really a sitemap...
 
     >>> print browser.contents
@@ -158,10 +155,9 @@
 
 
-Create regular expression, which help us to test which urls pass the filters.
+Create regular expression, which will help us to test which urls pass the filters.
 
     >>> reloc = re.compile("<loc>%s([^\<]*)</loc>" % self.portal.absolute_url(), re.S)
 
-Test if all 4 documents and default front-page present in the sitemap
-without filters.
+Test if all 4 documents and default front-page are in the sitemap without filters.
 
     >>> no_filters_res = reloc.findall(no_filters_content)
@@ -178,7 +174,6 @@
 =================
 
-Go to the edit form of the sitemap and add "doc1"
-and "front-page" lines with "id:" prefix to the
-"Blackout entries" field.
+Go to the sitemap edit form and add "doc1" and "front-page" lines with "id:" 
+prefix to the "Blackout entries" field.
 
     >>> browser.open(smedit_url)
@@ -191,5 +186,5 @@
     >>> id_filter_content = browser.contents
 
-"doc1" and "front-page" documents should be excluded from the
+"doc1" and "front-page" documents should now be excluded from the
 sitemap.
 
@@ -204,7 +199,7 @@
 ===================
 
-Suppouse we wont to exclude the "front_page" from portal root
-and "doc2" document, located in test_user_1_ home folder,
-but leave untouched "doc2" in portal root with all other objects.
+Suppose we want to exclude "front_page" from portal root and "doc2"
+document, located in test_user_1_ home folder, but leave "doc2" 
+untouched in portal root with all other objects.
 
     >>> browser.open(smedit_url)
@@ -231,11 +226,10 @@
 ====================
 
-Now I have the question: "What filter will be used when no 
-filter name prefix was specified (old-fashion filters for
-example)?"
-
-Go to the edit form of the sitemap and add "doc1" and
-"front-page" lines without any filter name prefix to the
-"Blackout entries" field.
+Now I have a question: "What filter will be used when no 
+filter name prefix is specified (e.g. old-fashion filters)?"
+
+Go to the sitemap edit form and add "doc1" and "front-page"
+lines without any filter name prefix to the "Blackout entries" 
+field.
 
     >>> browser.open(portal_url + "/sitemap.xml/edit")
@@ -248,5 +242,5 @@
     >>> default_filter_content = browser.contents
 
-"id" filter must be used as default filter. So all "doc1" and
+"id" filter must be used as default filter. So, all "doc1" and
 "front-page" objects should be excluded from the sitemap.
 
@@ -258,21 +252,20 @@
 
 
-Creation own filters
-====================
-
-Suppouse we want to create own blackout filter, 
-which behave like id-filter, but has some differencies.
-Our fitler has following format:
+Create your own filters
+=======================
+
+Suppose we want to create our own blackout filter,  which will
+behave like id-filter, but will have some differences. Our fitler 
+has the following format:
 
   (+|-)<filtered id>
 
-  - when 1st sign is "+" then only objects with <filtered id>
-    should be leaved in sitemap after filetering;
-  - if 1st sign is "-" then all objects with <filtered id>
-    should be excluded from the sitemap (like default id
-    filter).
-
-You need create new IBlckoutFilter multi-adapter,
-and register it with unique name.
+- if the 1st sign is "+" then only objects with <filtered id>
+  should be left in sitemap after filetering;
+- if the 1st sign is "-" then all objects with <filtered id>
+  should be excluded from the sitemap (like default id filter).
+
+You need to create new IBlckoutFilter multi-adapter, and register
+it with unique name.
 
     >>> from zope.component import adapts
@@ -302,9 +295,9 @@
     ...                name=u'signedid')
 
-So that's all what needed to add new filter.
-Now test newly created filter.
+So that's all what needed to add new filter. Now test newly-created
+filter.
 
 Check whether white filtering ("+" prefix) works correctly.
-Go to edit form of the sitemap and add "signedid:+doc1"
+Go to the sitemap edit form and add "signedid:+doc1"
 to the "Blackout entries" field.
 
@@ -317,5 +310,5 @@
     >>> signedid_filter_content = browser.contents
 
-Only objects with "doc1" id should be leaved in the sitemap.
+Only objects with "doc1" id should be left in the sitemap.
 
     >>> signedid_filter_res = reloc.findall(signedid_filter_content)
@@ -326,8 +319,7 @@
 
 
-And for the last - check wheter black filtering ("-" prefix)
-works correctly.
-Go to the edit form of the sitemap and add "signedid:-doc1"
-to the "Blackout entries" field.
+Finally, check whether black filtering ("-" prefix) works correctly.
+Go to the sitemaps edit form and add "signedid:-doc1" to the "Blackout 
+entries" field.
 
     >>> browser.open(smedit_url)
@@ -339,5 +331,5 @@
     >>> signedid_filter_content = browser.contents
 
-All objects except those having "doc1" id must be included in
+All objects, except those having "doc1" id, must be included in
 the sitemap.
 