Index: /quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt
===================================================================
--- /quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt	(revision 3047)
+++ /quintagroup.themetemplate/trunk/quintagroup/themetemplate/README.txt	(revision 3048)
@@ -43,6 +43,6 @@
 Use `paster create` command for that::
 
-    >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite')
-    paster create -t qplone3_theme quintagroup.theme.example --no-interactive
+    >>> paster('create -t qplone3_theme quintagroup.theme.example --overwrite')
+    paster create -t qplone3_theme quintagroup.theme.example ...
     ...
 
@@ -131,5 +131,5 @@
 Create the same theme with your own skin name and check this::
 
-    >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite --config=theme_config.conf')
+    >>> paster('create -t qplone3_theme quintagroup.theme.example --overwrite --config=theme_config.conf')
     paster create ...
     >>> cd(package_dir)
@@ -187,5 +187,5 @@
     ...
     <object name="portal_skins" ...
-            default_skin="My Theme Name">
+            default_skin="My Theme Name" request_varname="plone_skin">
     ...
     <skin-path name="My Theme Name" based-on="Plone Default">
@@ -267,6 +267,6 @@
 For that case use *skin_layer* subtemplate with *addcontent* local command::
 
-    >>> paster('addcontent --no-interactive skin_layer')
-    paster addcontent --no-interactive skin_layer
+    >>> paster('addcontent skin_layer')
+    paster addcontent skin_layer ...
     Recursing into profiles
     ...
@@ -286,5 +286,5 @@
     ...
     <object name="portal_skins" allow_any="False" cookie_persistence="False"
-       default_skin="My Theme Name">
+       default_skin="My Theme Name" request_varname="plone_skin">
     ...
      <object name="skin_layer"
@@ -317,6 +317,6 @@
 Add portlet with *portlet* subtemplate::
 
-    >>> paster('addcontent --no-interactive portlet')
-    paster addcontent --no-interactive portlet
+    >>> paster('addcontent portlet')
+    paster addcontent portlet ...
     ...
     Recursing into portlets
@@ -377,6 +377,6 @@
 Use *css_resource* subtemplate::
 
-    >>> paster("addcontent --no-interactive css_resource")
-    paster addcontent --no-interactive css_resource
+    >>> paster("addcontent css_resource")
+    paster addcontent css_resource ...
     Recursing into browser
     ...
@@ -449,6 +449,6 @@
 Use *css_dtml_skin* subtemplate::
 
-    >>> paster("addcontent --no-interactive css_dtml_skin")
-    paster addcontent --no-interactive css_dtml_skin
+    >>> paster("addcontent css_dtml_skin")
+    paster addcontent css_dtml_skin ...
     Recursing into profiles
     ...
@@ -494,6 +494,6 @@
 Use *js_resource* subtemplate::
 
-    >>> paster('addcontent --no-interactive js_resource')
-    paster addcontent --no-interactive js_resource
+    >>> paster('addcontent js_resource')
+    paster addcontent js_resource ...
     Recursing into browser
     ...
@@ -565,6 +565,6 @@
 Use *viewlet_order* subtemplate::
 
-    >>> paster('addcontent --no-interactive viewlet_order')
-    paster addcontent --no-interactive viewlet_order
+    >>> paster('addcontent viewlet_order')
+    paster addcontent viewlet_order ...
     Recursing into browser
     ...
@@ -638,6 +638,6 @@
 For that case you can use *viewlet_hidden* subtemplate::
 
-    >>> paster('addcontent --no-interactive viewlet_hidden')
-    paster addcontent --no-interactive viewlet_hidden
+    >>> paster('addcontent viewlet_hidden')
+    paster addcontent viewlet_hidden ...
     Recursing into profiles
     ...
@@ -678,6 +678,6 @@
 into portal root on theme instllation::
 
-    >>> paster('addcontent --no-interactive import_zexps')
-    paster addcontent --no-interactive import_zexps
+    >>> paster('addcontent import_zexps')
+    paster addcontent import_zexps ...
     ...
     Recursing into import
Index: /quintagroup.themetemplate/trunk/quintagroup/themetemplate/tests/test_qthemedoc.py
===================================================================
--- /quintagroup.themetemplate/trunk/quintagroup/themetemplate/tests/test_qthemedoc.py	(revision 3047)
+++ /quintagroup.themetemplate/trunk/quintagroup/themetemplate/tests/test_qthemedoc.py	(revision 3048)
@@ -6,4 +6,10 @@
 
 from zopeskel.tests.test_zopeskeldocs import *
+
+# Create patch to hide --no-interactive paster option
+# to prevent confusing of a user.
+orig_paster = paster
+def paster(cmd):
+    return orig_paster(cmd + " --no-interactive")
 
 current_dir = os.path.abspath(os.path.dirname(__file__))
Index: /quintagroup.themetemplate/trunk/setup.py
===================================================================
--- /quintagroup.themetemplate/trunk/setup.py	(revision 3047)
+++ /quintagroup.themetemplate/trunk/setup.py	(revision 3048)
@@ -2,5 +2,5 @@
 import os
 
-version = '0.25'
+version = '0.26'
 
 tests_require=['zope.testing']