Index: quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO
===================================================================
--- quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO	(revision 2569)
+++ quintagroup.themetemplate/trunk/quintagroup.themetemplate.egg-info/PKG-INFO	(revision 3049)
@@ -1,5 +1,5 @@
 Metadata-Version: 1.0
 Name: quintagroup.themetemplate
-Version: 0.23
+Version: 0.26
 Summary: Quintagroup theme template for Plone 3 with nested namespace
 Home-page: http://svn.quintagroup.com/products/quintagroup.themetemplate
@@ -17,5 +17,5 @@
         
         quintagroup.themetemplate package is used for development of all Quintagroup themes
-        for Plone 3 (http://skins.quintagroup.com).
+        for Plone 3 at http://skins.quintagroup.com.
         
         Contents
@@ -51,12 +51,12 @@
         Use `paster create` command for that::
         
-        >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite')
-        paster create -t qplone3_theme quintagroup.theme.example --no-interactive
+        >>> paster('create -t qplone3_theme quintagroup.theme.example --overwrite')
+        paster create -t qplone3_theme quintagroup.theme.example ...
         ...
         
         You got standard python package content with
+        
         - *quintagroup* upper level namespace.
-        - *quintagroup.theme.example-configure.zcml* - zcml file
-        for adding into package-includes directory
+        - *quintagroup.theme.example-configure.zcml* - zcml file for adding into package-includes directory
         
         Check that::
@@ -71,7 +71,5 @@
         *qplone3_theme* template - creates theme with nested namespace.
         
-        By default - theme is placed in
-        
-        quintagroup.theme.<3rd part of dotted package name> namespace
+        By default - theme is placed in *quintagroup.theme.<3rd part of dotted package name> namespace*
         
         in our case - quintagroup.theme.example
@@ -101,7 +99,8 @@
         
         Browser directory contains:
+        
         - 'templates' resource directory
         - interfaces.py module with IThemeSpecific marker interface
-        - configure.zcml, with registered theme marker interface
+        - configure.zcml, with registered theme marker interface::
         
         >>> ls('browser')
@@ -130,5 +129,6 @@
         creation you can point out your own name. Check this ...
         
-        First create configuration file with different skin name
+        First create configuration file with different skin name::
+        
         >>> conf_data = """
         ... [pastescript]
@@ -137,6 +137,7 @@
         >>> file('theme_config.conf','w').write(conf_data)
         
-        Create the same theme with your own skin name and check this
-        >>> paster('create -t qplone3_theme quintagroup.theme.example --no-interactive --overwrite --config=theme_config.conf')
+        Create the same theme with your own skin name and check this::
+        
+        >>> paster('create -t qplone3_theme quintagroup.theme.example --overwrite --config=theme_config.conf')
         paster create ...
         >>> cd(package_dir)
@@ -153,10 +154,11 @@
         
         *skins* directory
-        ------------------------
+        -----------------
         
         It contains only README.txt file and NO SKIN LAYERS YET.
         This is a job for localcommand ;)
         
-        But check whether I am right ...
+        But check whether I am right ...::
+        
         >>> cd('quintagroup/theme/example')
         >>> ls('skins')
@@ -164,7 +166,9 @@
         
         
-        *profiles* directory.
-        --------------------------------
-        There is 'default' and uninstall profiles inside
+        *profiles* directory
+        --------------------
+        
+        There is 'default' and uninstall profiles inside::
+        
         >>> 'default' in os.listdir('profiles')
         True
@@ -173,6 +177,7 @@
         
         There are the following items in default profile:
+        
         - import_steps.xml - for any reason.
-        - skins.xml - for registering skins directory
+        - skins.xml - for registering skins directory::
         
         >>> cd('profiles/default')
@@ -184,5 +189,5 @@
         *skins.xml* profile makes your theme default on installation
         and uses layers list from 'Plone Default' for our theme,
-        without any new layers (yet).
+        without any new layers (yet)::
         
         >>> cat('skins.xml')
@@ -190,5 +195,5 @@
         ...
         <object name="portal_skins" ...
-        default_skin="My Theme Name">
+        default_skin="My Theme Name" request_varname="plone_skin">
         ...
         <skin-path name="My Theme Name" based-on="Plone Default">
@@ -199,5 +204,5 @@
         
         *import_steps.xml* - call _setupVarious_ function from
-        _setuphandlers.py_ module for additional installation steps.
+        _setuphandlers.py_ module for additional installation steps::
         
         >>> cat('import_steps.xml')
@@ -211,5 +216,6 @@
         ...
         
-        Look at setuphandlers.py module
+        Look at setuphandlers.py module::
+        
         >>> cd('../..')
         >>> cat('setuphandlers.py')
@@ -239,5 +245,5 @@
         IMPORTANT TO NOTE: localcommand (addcontent in our case) should be
         called in any subdirectory of the generated theme package. And it won't
-        work outside this package..
+        work outside this package::
         
         >>> paster('addcontent -a')
@@ -267,13 +273,13 @@
         =================
         
-        For that case use *skin_layer* subtemplate with *addcontent* local command
-        
-        >>> paster('addcontent --no-interactive skin_layer')
-        paster addcontent --no-interactive skin_layer
+        For that case use *skin_layer* subtemplate with *addcontent* local command::
+        
+        >>> paster('addcontent skin_layer')
+        paster addcontent skin_layer ...
         Recursing into profiles
         ...
         
         This command adds NEW 'skin_layer' (default name) directory to _skins_ directory,
-        with only CONTENT.txt file inside.
+        with only CONTENT.txt file inside::
         
         >>> 'skin_layer' in os.listdir('skins')
@@ -282,5 +288,5 @@
         CONTENT.txt
         
-        *skins.xml* profile is also updated:
+        *skins.xml* profile is also updated::
         
         >>> cat('profiles/default/skins.xml')
@@ -288,5 +294,5 @@
         ...
         <object name="portal_skins" allow_any="False" cookie_persistence="False"
-        default_skin="My Theme Name">
+        default_skin="My Theme Name" request_varname="plone_skin">
         ...
         <object name="skin_layer"
@@ -303,4 +309,5 @@
         
         We can see, that:
+        
         - skin_layer directory was registered as Filesystem Directory View
         - skin_layer Filesystem Directory View was added to our theme layers list
@@ -308,7 +315,7 @@
         
         Adding PORTLET
-        ==========================
-        
-        Only initialization files are available in portlets directory before adding new portlet.
+        ==============
+        
+        Only initialization files are available in portlets directory before adding new portlet::
         
         >>> ls('portlets')
@@ -316,8 +323,8 @@
         configure.zcml
         
-        Add portlet with *portlet* subtemplate.
-        
-        >>> paster('addcontent --no-interactive portlet')
-        paster addcontent --no-interactive portlet
+        Add portlet with *portlet* subtemplate::
+        
+        >>> paster('addcontent portlet')
+        paster addcontent portlet ...
         ...
         Recursing into portlets
@@ -326,5 +333,5 @@
         After executing this local command ...
         
-        configure.zcml file in the theme root directory - includes portlets registry:
+        configure.zcml file in the theme root directory - includes portlets registry::
         
         >>> cat('configure.zcml')
@@ -334,10 +341,12 @@
         ...
         
-        exampleportlet.pt template and exampleportlet.py script added to portlets directory.
+        exampleportlet.pt template and exampleportlet.py script added to portlets directory::
+        
         >>> files = ('exampleportlet.pt', 'exampleportlet.py')
         >>> [True for d in files if d in os.listdir('portlets')]
         [True, True]
         
-        And portlets/configure.zcml - register new portlet
+        And portlets/configure.zcml - register new portlet::
+        
         >>> cat('portlets/configure.zcml')
         <configure
@@ -355,5 +364,5 @@
         ...
         
-        Finally, new portlet type is registered in portlets.xml profile
+        Finally, new portlet type is registered in portlets.xml profile::
         
         >>> cat('profiles/default/portlets.xml')
@@ -371,12 +380,11 @@
         
         
-        
         Adding CSS resource
         ===================
         
-        Use *css_resource* subtemplate.
-        
-        >>> paster("addcontent --no-interactive css_resource")
-        paster addcontent --no-interactive css_resource
+        Use *css_resource* subtemplate::
+        
+        >>> paster("addcontent css_resource")
+        paster addcontent css_resource ...
         Recursing into browser
         ...
@@ -385,5 +393,5 @@
         
         This template adds (if does not exist yet) _stylesheets_ directory in _browser_
-        directory
+        directory::
         
         >>> 'stylesheets' in os.listdir('browser')
@@ -391,5 +399,5 @@
         
         In _stylesheets_ resource directory empty main.css stylesheet
-        resource added
+        resource added::
         
         >>> 'main.css' in os.listdir('browser/stylesheets')
@@ -399,5 +407,5 @@
         
         
-        New resource directory was registered in configure.zcml
+        New resource directory was registered in configure.zcml::
         
         >>> cat('browser/configure.zcml')
@@ -413,5 +421,5 @@
         
         And cssregistry.xml profile was added into profiles/default directory with
-        registered main.css stylesheet
+        registered main.css stylesheet::
         
         >>> 'cssregistry.xml' in os.listdir('profiles/default')
@@ -438,4 +446,5 @@
         
         This subtemplate has several benefits before registering css as resource layer:
+        
         - in dtml file you can use power of dtml language
         - this resource can be overriden by customer if he needs that
@@ -446,8 +455,8 @@
         
         
-        Use *css_dtml_skin* subtemplate.
-        
-        >>> paster("addcontent --no-interactive css_dtml_skin")
-        paster addcontent --no-interactive css_dtml_skin
+        Use *css_dtml_skin* subtemplate::
+        
+        >>> paster("addcontent css_dtml_skin")
+        paster addcontent css_dtml_skin ...
         Recursing into profiles
         ...
@@ -455,10 +464,11 @@
         ...
         
-        This template adds main.css.dtml file into skins/skin_layer folder
+        This template adds main.css.dtml file into skins/skin_layer folder::
         
         >>> 'main.css.dtml' in os.listdir('skins/skin_layer')
         True
         
-        The main.css.dtml file already prepared to use as dtml-document
+        The main.css.dtml file already prepared to use as dtml-document::
+        
         >>> cat('skins/skin_layer/main.css.dtml')
         /*
@@ -471,5 +481,5 @@
         
         And cssregistry.xml profile was added into profiles/default directory with
-        registered main.css stylesheet
+        registered main.css stylesheet::
         
         >>> 'cssregistry.xml' in os.listdir('profiles/default')
@@ -490,8 +500,8 @@
         --------------------------
         
-        Use *js_resource* subtemplate.
-        
-        >>> paster('addcontent --no-interactive js_resource')
-        paster addcontent --no-interactive js_resource
+        Use *js_resource* subtemplate::
+        
+        >>> paster('addcontent js_resource')
+        paster addcontent js_resource ...
         Recursing into browser
         ...
@@ -500,5 +510,5 @@
         
         This template adds (if does not exist yet) _scripts_ directory in _browser_
-        directory
+        directory::
         
         >>> 'scripts' in os.listdir('browser')
@@ -506,5 +516,5 @@
         
         
-        Empty foo.js javascript file was added to _scripts_ directory
+        Empty foo.js javascript file was added to _scripts_ directory::
         
         >>> 'foo.js' in os.listdir('browser/scripts')
@@ -514,5 +524,5 @@
         
         
-        New resource directory was registered in configure.zcml, if has not been registered yet.
+        New resource directory was registered in configure.zcml, if has not been registered yet::
         
         >>> cat('browser/configure.zcml')
@@ -528,5 +538,5 @@
         
         cssregistry.xml profile was added into profiles/default directory (if does not exist yet),
-        and register new foo.js javascript resource.
+        and register new foo.js javascript resource::
         
         >>> 'jsregistry.xml' in os.listdir('profiles/default')
@@ -550,4 +560,5 @@
         
         There are 2 types of viewlet subtemplates:
+        
         - viewlet_order
         - viewlet_hidden
@@ -560,8 +571,8 @@
         -------------------
         
-        Use *viewlet_order* subtemplate
-        
-        >>> paster('addcontent --no-interactive viewlet_order')
-        paster addcontent --no-interactive viewlet_order
+        Use *viewlet_order* subtemplate::
+        
+        >>> paster('addcontent viewlet_order')
+        paster addcontent viewlet_order ...
         Recursing into browser
         ...
@@ -573,5 +584,5 @@
         This template adds (if not exist ;)) _viewlets.py_ module in browser directory.
         With added Example ViewletBase class, which is bound to templates/example_viewlet.pt
-        template
+        template::
         
         >>> 'viewlets.py' in os.listdir('browser')
@@ -587,5 +598,5 @@
         <BLANKLINE>
         
-        Check template file in templates directory.
+        Check template file in templates directory::
         
         >>> 'example_viewlet.pt' in os.listdir('browser/templates')
@@ -594,5 +605,5 @@
         <BLANKLINE>
         
-        New viewlet is registered in configure.zcml
+        New viewlet is registered in configure.zcml::
         
         >>> cat('browser/configure.zcml')
@@ -610,5 +621,5 @@
         
         viewlets.xml profile is added to profiles/default directory with new viewlet
-        registration, ordered for specified viewlet manager.
+        registration, ordered for specified viewlet manager::
         
         >>> 'viewlets.xml' in os.listdir('profiles/default')
@@ -633,8 +644,8 @@
         ---------------------
         
-        For that case you can use *viewlet_hidden* subtemplate
-        
-        >>> paster('addcontent --no-interactive viewlet_hidden')
-        paster addcontent --no-interactive viewlet_hidden
+        For that case you can use *viewlet_hidden* subtemplate::
+        
+        >>> paster('addcontent viewlet_hidden')
+        paster addcontent viewlet_hidden ...
         Recursing into profiles
         ...
@@ -644,5 +655,5 @@
         
         There is viewlet.xml profile in profiles/default directory
-        which hides viewlet for specified viewlet manager
+        which hides viewlet for specified viewlet manager::
         
         >>> 'viewlets.xml' in os.listdir('profiles/default')
@@ -673,8 +684,8 @@
         *import_zexps* subtemplate extends your theme with
         mechanism for importing list of zexp formated files
-        into portal root on theme instllation.
-        
-        >>> paster('addcontent --no-interactive import_zexps')
-        paster addcontent --no-interactive import_zexps
+        into portal root on theme instllation::
+        
+        >>> paster('addcontent import_zexps')
+        paster addcontent import_zexps ...
         ...
         Recursing into import
@@ -687,5 +698,6 @@
         ...
         
-        As we see from the upper log:
+        As we see from the upper log
+        
         - 'import' directory was added into root of the theme
         - profiles stuff was updated
@@ -694,5 +706,5 @@
         
         1. There was empty 'import' directory added, where you
-        will put zexp objects for install into portal root.
+        will put zexp objects for install into portal root.::
         
         >>> ls('import')
@@ -701,5 +713,5 @@
         
         2. import_steps.xml was added in profiles/import_zexps directory,
-        which contains additional *quintagroup.theme.example.import_zexps* step.
+        which contains additional *quintagroup.theme.example.import_zexps* step::
         
         >>> 'import_zexps' in os.listdir('profiles')
@@ -721,5 +733,5 @@
         
         3. profiles.zcml configuration updated with new genericsetup profile for zexps
-        importing.
+        importing::
         
         >>> cat('profiles.zcml')
@@ -736,5 +748,5 @@
         ...
         
-        4. Check setuphandlers.py module - there must be importZEXPs function defined
+        4. Check setuphandlers.py module - there must be importZEXPs function defined::
         
         >>> cat('setuphandlers.py')
@@ -752,18 +764,32 @@
         Before releasing theme - I suggest to clean up setup.py script:
         
-        - remove *theme_vars* argument (its value is useful only for
-        theme development)
-        
-        - remove *entry_points* argument (same reason).
-        It's useless in plone for now.
-        
-        - And remove *paster_plugins* argument too (it has sence
-        in conjunction with entry_points during theme developing)
+        - remove *theme_vars* argument (its value is useful only for theme development)
+        
+        - remove *entry_points* argument (same reason). It's useless in plone for now.
+        
+        - And remove *paster_plugins* argument too (it has sence in conjunction with entry_points during theme developing)
         
         Steps mentioned above prevent possible problems with
         theme distribution/deployment.
         
+        Notes:
+        ------
+        
+        * quintagroup.themetemplate v0.25 compatible with ZopeSkel >= 2.15
+        
+        
         Changelog
         =========
+        
+        0.25 (2010-06-24)
+        -----------------
+        
+        - Correct version of the pacakge
+        [mylan]
+        - Fix incompatibility wity ZopeSkel>=2.15
+        [mylan]
+        - Updated tests
+        [mylan]
+        
         
         0.2.2 (unreleased)
@@ -827,6 +853,6 @@
         
         
-        Version 0.7
-        -----------
+        0.7 (unreleased)
+        ----------------
         
         * Add uninstall profile to fix skins tool after theme is uninstalled
@@ -834,6 +860,6 @@
         
         
-        Version 0.1
-        -----------
+        0.1 (unreleased)
+        ----------------
         
         * Initial import Theme template with nested namespace.