Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 3066)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/locales/it/LC_MESSAGES/quintagroup.plonecomments.po	(revision 3067)
@@ -26,5 +26,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit.cpy:48
 msgid "Comment updated."
-msgstr ""
+msgstr "Commento aggiornato."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_delete.cpy:34
@@ -38,5 +38,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:235
 msgid "Could not send the email notification. Have you configured an email server for Plone?"
-msgstr ""
+msgstr "Non puoi spedire email di notifica. Hai configurato un mail server per Plone?"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply.cpy:96
@@ -47,5 +47,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:58
 msgid "Please correct the indicated errors."
-msgstr ""
+msgstr "Per favore correggi gli errori indicati."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:48
@@ -57,5 +57,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_publish.cpy:25
 msgid "Please select items to be processed."
-msgstr ""
+msgstr "Per favore selezione gli elementi da processare"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:36
@@ -63,10 +63,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:34
 msgid "Please submit a valid e-mail address."
-msgstr ""
+msgstr "Per favore inserisci un indirizzo email valido."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_report_abuse.vpy:34
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:32
 msgid "Please submit an email address."
-msgstr ""
+msgstr "Per favore inserisci un indirizzo email."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_reply.vpy:14
@@ -77,19 +77,19 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:52
 msgid "You must correctly enter the word."
-msgstr ""
+msgstr "Devi inserire correttamente la parola."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse.cpy:72
 msgid "Your abuse report has been sent."
-msgstr ""
+msgstr "La tua segnalazione su un abuso è stata spedita."
 
 #. Default: "[${organization_name}] New comment awaits moderation"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:193
 msgid "approve_notification_subject"
-msgstr ""
+msgstr "[${organization_name}] Nuovi commenti in attesa di moderazione"
 
 #. Default: "Your comment on ${title} is now published"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:121
 msgid "approve_user_notification_subject"
-msgstr ""
+msgstr "Il tuo commento su ${title} è stato pubblicato"
 
 #. Default: "Please review new comment added to the following page ' ${title} ': ${here_url}"
@@ -101,10 +101,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt:38
 msgid "description_edit_comment"
-msgstr ""
+msgstr "Puoi modificare un commento riempiendo il form sottostante. Formattazione semplice."
 
 #. Default: "Enable Manager moderation"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:199
 msgid "enable_manager_moderation"
-msgstr ""
+msgstr "Abilita la moderazione del Manager"
 
 #. Default: "Recent comments"
@@ -121,10 +121,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:111
 msgid "heading_report_abuse_form"
-msgstr ""
+msgstr "Segnala abuso"
 
 #. Default: "The email address where comment notifications will be sent"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:212
 msgid "help_discussion-manager_email"
-msgstr ""
+msgstr "L'indirizzo email a cui spedire le notifiche sui commenti"
 
 #. Default: "Please enter your e-mail address."
@@ -132,20 +132,20 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:146
 msgid "help_email"
-msgstr ""
+msgstr "PEr favore inserisci il tuo indirizzo email."
 
 #. Default: "This setting will only take effect if abuse reports are enabled."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:181
 msgid "help_enable_ajax_report_abuse"
-msgstr ""
+msgstr "Queste impostazioni avranno effetto solo se la segnazalione degli abusi è attivata."
 
 #. Default: "This setting will allow ALL users, including non logged in users to report abusive comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:157
 msgid "help_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Questa impostazione permette a TUTTI gli utenti, inclusi gli anonimi di segnalare i commenti abusivi."
 
 #. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:176
 msgid "help_message"
-msgstr ""
+msgstr "Per favore descrivi le ragioni per cui vuoi segnalare questo commento. Il nostro amministratore riceverà una notifica col tuo messaggio."
 
 #. Default: "Please enter your name."
@@ -180,25 +180,25 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:210
 msgid "label_discussion-manager_email"
-msgstr ""
+msgstr "Spedisci le email di notifica dei commenti a:"
 
 #. Default: "Enable AJAX powered abuse reports"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:178
 msgid "label_enable_ajax_report_abuse"
-msgstr ""
+msgstr "Abilita la segnalazione di abusi via AJAX"
 
 #. Default: "Enable anonymous users to report abusive comments"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:154
 msgid "label_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Abilita gli utenti anonimi a poter segnalare abusi nei commenti."
 
 #. Default: "Notify Discussion Manager of new comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:291
 msgid "label_enable_approve_notification"
-msgstr "Notifica all' administratore delle discusioni quando viene inserito un nuovo commento."
+msgstr "Notifica all' administratore delle discussioni quando viene inserito un nuovo commento."
 
 #. Default: "Notify Commenter when comment is published."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:310
 msgid "label_enable_approve_user_notification"
-msgstr ""
+msgstr "Notifica all'autore del commento quando questo è pubblicato."
 
 #. Default: "Enable comment moderation"
@@ -215,15 +215,15 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:329
 msgid "label_enable_reject_notification"
-msgstr ""
+msgstr "Abilita la notifica all'autore del commento, quando questo viene respinto."
 
 #. Default: "Notify Commenter when their comment receives a reply"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:349
 msgid "label_enable_reply_notification"
-msgstr ""
+msgstr "Notifica all'autore del commento quando i suoi commenti ricevono una risposta"
 
 #. Default: "Enable authenticated users to report abusive comments"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:135
 msgid "label_enable_report_abuse"
-msgstr ""
+msgstr "Abilita gli utenti autenticati a segnalare abusi nei commenti."
 
 #. Default: "Email subject prefix (organization name)"
@@ -235,25 +235,25 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:50
 msgid "label_pending_state"
-msgstr ""
+msgstr "[in revisione]"
 
 #. Default: "Report Abuse"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:107
 msgid "label_report_abuse"
-msgstr ""
+msgstr "Segnala Abuso"
 
 #. Default: "Require email from Anonymous commenters"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:96
 msgid "label_require_anonym_email"
-msgstr ""
+msgstr "Richiedi email per i commenti da anonimo."
 
 #. Default: "Edit comment"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt:36
 msgid "legend_edit_comment"
-msgstr ""
+msgstr "Modifica il commento."
 
 #. Default: "Email Notification Options"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:255
 msgid "legend_qpc_notification_legend"
-msgstr ""
+msgstr "Opzioni per la notifica via email"
 
 #. Default: "List of recent comments"
@@ -275,20 +275,20 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_template.pt:28
 msgid "notifyabuse_link"
-msgstr ""
+msgstr "Il commento '${url}' è stato segnalato come abusivo. Il commento è: ------------ ${comment_desc} ${comment_text} La segnalazione: ----------------- ${report}"
 
 #. Default: "Your comment on ${url} has been published. To see your comment, go to ${here_url}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:12
 msgid "notifycomment_link"
-msgstr ""
+msgstr "Il tuo commento su ${url} è stato pubblicato. Per vedere il tuo commento, vai qui ${here_url}"
 
 #. Default: "Your comment on ${url} did not receive approval. Please direct any questions or concerns to ${mfrom}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/rejected_comment_template.pt:12
 msgid "notifyreject_link"
-msgstr ""
+msgstr "Il tuo commento su ${url} non è stato approvato. Per qualunque domanda, scrivi a ${mfrom}."
 
 #. Default: "[${organization_name}] New comment added"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:178
 msgid "published_notification_subject"
-msgstr ""
+msgstr "[${organization_name}] Nuovo commento aggiunto"
 
 #. Default: "View new comment added to the following page ' ${title} ': ${here_url}"
@@ -310,20 +310,20 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:136
 msgid "rejected_user_notification_subject"
-msgstr ""
+msgstr "Il tuo commento su ${title} non è stato approvato"
 
 #. Default: "Someone replied to your comment on ${title}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:152
 msgid "reply_user_notification_subject"
-msgstr ""
+msgstr "Qualcuno ha risposto al tuo commento su ${title}"
 
 #. Default: "Someone replied to your comment on ${url}. To read the response, go to ${here_url}."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/reply_notify_template.pt:10
 msgid "replynotify_link"
-msgstr ""
+msgstr "Qualcuno ha risposto al tuo commento su ${url}. Per legger la risposta vai qui ${here_url}."
 
 #. Default: "[${organization_name}] A comment on ${title} has been reported for abuse."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:218
 msgid "report_abuse_subject"
-msgstr ""
+msgstr "[${organization_name}] Un commento su ${title} è stato segnalato come abusivo."
 
 #. Default: "${organization_name} Support Team"
@@ -331,5 +331,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/notify_comment_template.pt:17
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/published_comment_template.pt:13
-msgid "signature"
+msgid "${organization_name} Support Team"
 msgstr "Team di supporto ${organization_name}"
 
@@ -338,10 +338,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/viewThreadsAtBottom.pt:113
 msgid "text_no_add_reply"
-msgstr ""
+msgstr "Il commento deve essere prima approvato."
 
 #. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:94
 msgid "text_no_email_setup"
-msgstr ""
+msgstr "Questo sito non ha una configurazione valida per le email, quindi non puoi usare il form per segnalare gli abusi."
 
 #. Default: "No new comments."
@@ -349,3 +349,2 @@
 msgid "text_no_new_comments"
 msgstr "Nessun nuovo commento."
-