Index: quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po
===================================================================
--- quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 2985)
+++ quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/locales/pt-br/LC_MESSAGES/quintagroup.plonecomments.po	(revision 3106)
@@ -1,10 +1,10 @@
-# Érico Andrei <erico@simplesconsultoria.com.br>, 2008.
+# Andre Nogueira <andre@simplesconsultoria.com.br>, 2011.
 msgid ""
 msgstr ""
 "Project-Id-Version: qPloneComments\n"
 "POT-Creation-Date: 2010-04-16 12:15+0000\n"
-"PO-Revision-Date: 2008-07-18 03:51-0300\n"
-"Last-Translator: Érico Andrei <erico@simplesconsultoria.com.br>\n"
-"Language-Team: Simples Consultoria\n"
+"PO-Revision-Date: 2011-04-08 09:42-0300\n"
+"Last-Translator: Andre Nogueira <andre@simplesconsultoria.com.br>\n"
+"Language-Team: Amcham Brasil and Simples Consultoria\n"
 "MIME-Version: 1.0\n"
 "Content-Type: text/plain; charset=utf-8\n"
@@ -23,5 +23,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit.cpy:48
 msgid "Comment updated."
-msgstr ""
+msgstr "Comentário atualizado"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_recent_comments_delete.cpy:35
@@ -35,5 +35,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:256
 msgid "Could not send the email notification. Have you configured an email server for Plone?"
-msgstr ""
+msgstr "O email de notificação não pode ser enviado. Você ja configurou um servidor de e-mail o Plone?"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_reply.cpy:99
@@ -43,5 +43,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:167
 msgid "Default visual effects(popup forms if enabled)"
-msgstr ""
+msgstr "Por favor corrija os erros indicados."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:170
@@ -94,19 +94,19 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/validate_talkback.vpy:58
 msgid "You must correctly enter the word."
-msgstr ""
+msgstr "Você precisa digitar uma palavra."
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse.cpy:73
 msgid "Your abuse report has been sent."
-msgstr ""
+msgstr "Sua mensagem de abuso foi enviada."
 
 #. Default: "[${organization_name}] New comment awaits moderation"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:208
 msgid "approve_notification_subject"
-msgstr ""
+msgstr "[${organization_name}] Novo comentário aguardando moderação"
 
 #. Default: "Your comment on ${title} is now published"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:136
 msgid "approve_user_notification_subject"
-msgstr ""
+msgstr "Seu comentário: ${title}, está publicado"
 
 #. Default: "Please review new comment added to the following page ' ${title} ': ${here_url}"
@@ -123,5 +123,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt:36
 msgid "description_edit_comment"
-msgstr ""
+msgstr "Você pode editar um comentário preenchendo o formulário abaixo. Formatação de texto simples."
 
 #. Default: "Enable Manager moderation"
@@ -143,5 +143,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:110
 msgid "heading_report_abuse_form"
-msgstr ""
+msgstr "Reportar abuso"
 
 #. Default: "The email address where comment notifications will be sent"
@@ -154,16 +154,20 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:146
 msgid "help_email"
-msgstr ""
+msgstr "Por favor entre com seu endereço de e-mail"
+
+#. Default: "This setting will only take effect if abuse reports are enabled."
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:181
+msgid "help_enable_ajax_report_abuse"
+msgstr "Esta configuração só tera efeito se o reportar abuso estiver habilitado."
 
 #. Default: "This setting will allow ALL users, including non logged in users to report abusive comments."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:147
 msgid "help_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Esta configuração permitirá que TODOS usuários, incluindo usuários não logados para reportar comentários de abuso."
 
 #. Default: "Please state your reasons why you would like to report this comment as abusive. Our administrator will be notified with your message."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:176
-#, fuzzy
 msgid "help_message"
-msgstr "Por favor insira a mensagem que você quer enviar."
+msgstr "Por favor diga a razão porque gostaria de reportar como comentário abusivo. Nosso administrador será notificado com esta mensagem."
 
 #. Default: "Please enter your name."
@@ -215,8 +219,13 @@
 msgstr "Enviar a notificação de novos comentários para:"
 
+#. Default: "Enable AJAX powered abuse reports"
+#: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:178
+msgid "label_enable_ajax_report_abuse"
+msgstr "Habilitar AJAX para reportar abusos."
+
 #. Default: "Enable anonymous users to report abusive comments"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:144
 msgid "label_enable_anonymous_report_abuse"
-msgstr ""
+msgstr "Permitir que usuários anônimos possam reportar comentários abusivos."
 
 #. Default: "Notify Discussion Manager of new comments."
@@ -253,5 +262,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup_form.cpt:127
 msgid "label_enable_report_abuse"
-msgstr ""
+msgstr "Permitir que usuarios autenticados possam reportar comentários abusivos"
 
 #. Default: "Email subject prefix (organization name)"
@@ -263,10 +272,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:61
 msgid "label_pending_state"
-msgstr ""
+msgstr "[pendente]"
 
 #. Default: "Report Abuse"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/browser/comments.pt:117
 msgid "label_report_abuse"
-msgstr ""
+msgstr "Reportar Abuso"
 
 #. Default: "Require email from Anonymous commenters"
@@ -288,5 +297,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/discussion_edit_form.cpt:34
 msgid "legend_edit_comment"
-msgstr ""
+msgstr "Editar comentário"
 
 #. Default: "Email Notification Options"
@@ -313,5 +322,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_template.pt:28
 msgid "notifyabuse_link"
-msgstr ""
+msgstr "O comentario '${url}' foi reportado como abuso. O comentario: ------------ ${comment_desc} ${comment_text} O motivo de abuso: ----------------- ${report}"
 
 #. Default: "Your comment on ${url} has been published. To see your comment, go to ${here_url}"
@@ -328,5 +337,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:193
 msgid "published_notification_subject"
-msgstr ""
+msgstr "[${organization_name}] Novo comentário adicionado"
 
 #. Default: "View new comment added to the following page ' ${title} ': ${here_url}"
@@ -339,5 +348,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/profiles/default/controlpanel.xml
 msgid "qPloneComments"
-msgstr ""
+msgstr "qPloneComments"
 
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/prefs_comments_setup.cpy:57
@@ -348,10 +357,10 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:151
 msgid "rejected_user_notification_subject"
-msgstr ""
+msgstr "Seu comentário: ${title}, não foi aprovado"
 
 #. Default: "Someone replied to your comment on ${title}"
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:167
 msgid "reply_user_notification_subject"
-msgstr ""
+msgstr "Alguém respondeu ao seu comentário: ${title}"
 
 #. Default: "Someone replied to your comment on ${url}. To read the response, go to ${here_url}."
@@ -363,5 +372,5 @@
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/utils.py:235
 msgid "report_abuse_subject"
-msgstr ""
+msgstr "[${organization_name}] O comentário: ${title} foi reportado como abuso."
 
 #. Default: "${organization_name} Support Team"
@@ -380,7 +389,6 @@
 #. Default: "This site doesn't have a valid email setup, so you cannot use the report abuse form."
 #: ./quintagroup.plonecomments/quintagroup/plonecomments/skins/quintagroup_plonecomments/report_abuse_form.cpt:93
-#, fuzzy
 msgid "text_no_email_setup"
-msgstr "Este site não possui um E-Mail válido configurado, então você não pode utilizar nenhum dos formulários de contato."
+msgstr "Este site não possui um e-mail válido configurado, então você não pode user o formulário para reportar abusos."
 
 #. Default: "No new comments."