Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/browser/comments.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/browser/comments.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/browser/comments.py	(revision 3110)
@@ -130,3 +130,2 @@
         popupenabled = jstool.getResource('popupforms.js').getEnabled()
         return value == 0 and popupenabled or value == 2
-
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3110)
@@ -5,6 +5,7 @@
 from Products.CMFCore.utils import getToolByName
 from zExceptions import Unauthorized
-from base import FunctionalTestCase
-from config import USERS, PROPERTY_SHEET, DM_USERS_IDS, COMMON_USERS_IDS
+from quintagroup.plonecomments.tests.base import FunctionalTestCase
+from quintagroup.plonecomments.tests.config import USERS, PROPERTY_SHEET, \
+    DM_USERS_IDS, COMMON_USERS_IDS
 
 
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py	(revision 3110)
@@ -4,11 +4,11 @@
 
 from Products.CMFCore.utils import getToolByName
-from base import TestCase
-from config import PRODUCT, CONFIGLET_ID, PRODUCT_SKIN_NAME, PROPERTY_SHEET
-from config import EMAIL_PID, EMAIL_SUBJECT_PID, REQUIRE_EMAIL_PID, PERM_NAME
-from config import APPROVE_NOTIFICATION_PID, PUBLISHED_NOTIFICATION_PID
-from config import APPROVE_USER_NOTIFICATION_PID, REPLY_USER_NOTIFICATION_PID
-from config import MODERATION_PID, REJECTED_NOTIFICATION_PID
-from config import ANONYMOUS_COMMENTING_PID
+from quintagroup.plonecomments.tests.base import TestCase
+from quintagroup.plonecomments.tests.config import PRODUCT, CONFIGLET_ID, \
+    PRODUCT_SKIN_NAME, PROPERTY_SHEET, EMAIL_PID, EMAIL_SUBJECT_PID, \
+    REQUIRE_EMAIL_PID, PERM_NAME, APPROVE_NOTIFICATION_PID, \
+    PUBLISHED_NOTIFICATION_PID, APPROVE_USER_NOTIFICATION_PID, \
+    REPLY_USER_NOTIFICATION_PID, MODERATION_PID, REJECTED_NOTIFICATION_PID, \
+    ANONYMOUS_COMMENTING_PID
 
 
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsModeration.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsModeration.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsModeration.py	(revision 3110)
@@ -5,7 +5,8 @@
 import re
 from Products.CMFCore.utils import getToolByName
-from common import addMembers, add2Group
-from base import FunctionalTestCase
-from config import USERS, DM_USERS_IDS, COMMON_USERS_IDS
+from quintagroup.plonecomments.tests.common import addMembers, add2Group
+from quintagroup.plonecomments.tests.base import FunctionalTestCase
+from quintagroup.plonecomments.tests.config import USERS, DM_USERS_IDS, \
+    COMMON_USERS_IDS
 
 
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py	(revision 3110)
@@ -7,6 +7,6 @@
 from helperNotify import setProperties, testMailExistance
 from quintagroup.plonecomments.utils import getMsg
-from base import FunctionalTestCase
-from config import PROPERTY_SHEET
+from quintagroup.plonecomments.tests.base import FunctionalTestCase
+from quintagroup.plonecomments.tests.config import PROPERTY_SHEET
 from Products.CMFPlone.tests.utils import MockMailHost
 
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py	(revision 3110)
@@ -5,8 +5,8 @@
 from Products.CMFCore.utils import getToolByName
 import re
-from helperNotify import setProperties
-from base import FunctionalTestCase
-from common import addMembers, add2Group
-from config import PROPERTY_SHEET
+from quintagroup.plonecomments.tests.helperNotify import setProperties
+from quintagroup.plonecomments.tests.base import FunctionalTestCase
+from quintagroup.plonecomments.tests.common import addMembers, add2Group
+from quintagroup.plonecomments.tests.config import PROPERTY_SHEET
 
 from Products.CMFPlone.tests.utils import MockMailHost
Index: /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py
===================================================================
--- /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py	(revision 3109)
+++ /quintagroup.plonecomments/branches/jquery/quintagroup/plonecomments/tests/testQPloneCommentsUninstall.py	(revision 3110)
@@ -4,6 +4,7 @@
 
 from Products.CMFCore.utils import getToolByName
-from base import TestErase
-from config import PRODUCT, PRODUCT_SKIN_NAME, CONFIGLET_ID, PROPERTY_SHEET
+from quintagroup.plonecomments.tests.base import TestErase
+from quintagroup.plonecomments.tests.config import PRODUCT, \
+    PRODUCT_SKIN_NAME, CONFIGLET_ID, PROPERTY_SHEET
 from zExceptions import BadRequest
 