Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py	(revision 3116)
@@ -104,5 +104,5 @@
 class CommentsKSS(PloneKSSView):
     """ Operations on the report abuse form using KSS.
-    """   
+    """
 
     def submit_abuse_report(self):
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/patch.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/patch.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/patch.py	(revision 3116)
@@ -10,6 +10,6 @@
 from Products.CMFDefault.DiscussionItem import DiscussionItem
 from Products.CMFDefault.DiscussionItem import DiscussionItemContainer
+from quintagroup.plonecomments.utils import getProp
 
-from quintagroup.plonecomments.utils import getProp
 
 def createReply(self, title, text, Creator=None, email=''):
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 3116)
@@ -22,5 +22,6 @@
     if not 'DiscussionManager' in existing:
         gtool.addGroup('DiscussionManager', roles=['DiscussionManager'])
-        logger.info('Added DiscussionManager group to portal_groups with DiscussionManager role.')
+        logger.info('Added DiscussionManager group to portal_groups with '
+                    'DiscussionManager role.')
 
     # Remove workflow-chain for Discussion Item
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3116)
@@ -73,5 +73,4 @@
             "Anonymous user CAN'T really add comment in terned ON *Anonymous commenting mode*.")
 
-
     def testAddCommentToDocNotAnonymUsers(self):
 
@@ -105,5 +104,4 @@
         self.like_anonym = [u for u in all_users_id if u not in self.not_like_anonym]
 
-
     def testAddCommentToDocLikeAnonymUsers(self):
 
@@ -129,5 +127,4 @@
             "%s user(s) CAN really add comment in terned OFF "
             "*Anonymous commenting mode*." % failed_users)
-
 
     def testAddCommentToDocNotLikeAnonymUsers(self):
@@ -306,5 +303,4 @@
             "text of reply to '%s'" % self.doc_moder_off_id)
 
-
     def testAddCommentToReplyAllowableUsers(self):
 
@@ -329,8 +325,7 @@
             if not disparity:
                 failed_users.append(u)
-        self.failIf(failed_users ,
+        self.failIf(failed_users,
             "%s - member(s) CAN'T really ADD comment in terned off"
             " comments Moderation mode." % failed_users)
-
 
     def testAddCommentToReplyIllegalUsers(self):
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py	(revision 3116)
@@ -76,5 +76,5 @@
         self.failUnless('Anonymous' in actual_reply_permission, \
             "'Reply to Item' permission set for %s. 'Anonymous' "
-            "role NOT added" %  actual_reply_permission)
+            "role NOT added" % actual_reply_permission)
         # Simulate switching OFF Anonymous Commenting
         if 'enable_anonymous_commenting' in self.request.form:
@@ -84,5 +84,5 @@
         self.failIf('Anonymous' in actual_reply_permission, \
             "'Reply to Item' permission set for %s. 'Anonymous' role "
-            "NOT erased" %  actual_reply_permission)
+            "NOT erased" % actual_reply_permission)
 
     def testSwitchONModeration(self):
@@ -141,6 +141,6 @@
 
         # Check OFF Notification Anonymous Commenting
-        if self.request.form.has_key('enable_approve_notification'):
-           del self.request.form['enable_approve_notification']
+        if 'enable_approve_notification' in self.request.form:
+            del self.request.form['enable_approve_notification']
         self.portal.prefs_comments_setup()
         self.failUnless(self.prefs.getProperty('enable_approve_notification')==0,
@@ -155,6 +155,6 @@
 
         # Check OFF Notification Anonymous Commenting
-        if self.request.form.has_key('enable_published_notification'):
-           del self.request.form['enable_published_notification']
+        if 'enable_published_notification' in self.request.form:
+            del self.request.form['enable_published_notification']
         self.portal.prefs_comments_setup()
         self.failUnless(self.prefs.getProperty('enable_published_notification')==0,
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotificationRecipients.py	(revision 3116)
@@ -11,10 +11,10 @@
 from quintagroup.plonecomments.tests.config import PROPERTY_SHEET
 
-USERS = {# Common Members
+USERS = {   # Common Members
          'admin':{'passw': 'secret_admin', 'roles': ['Manager']},
          'owner':{'passw': 'secret_creator', 'roles': ['Member']},
          'replier1':{'passw': 'secret_member', 'roles': ['Member']},
          'replier2':{'passw': 'secret_member', 'roles': ['Member']},
-         # Members for discussion manager group
+            # Members for discussion manager group
          'dm_admin':{'passw': 'secret_dm_admin', 'roles': ['Manager']},
         }
@@ -92,8 +92,6 @@
     def test_Reply(self):
         self.portal.MailHost.reset()
-        
         self.prepareRequest4Reply('replier1')
         self.my_doc.discussion_reply('A Reply for my_doc' ,'text of reply for my_doc')
-
         mails = self.portal.MailHost.messages
         self.assertEqual(len(mails), 1)
@@ -107,6 +105,4 @@
         reply = self.discussion.getDiscussionFor(self.my_doc).getReplies()[0]
         self.portal.MailHost.reset()
-        
-
         reply.discussion_publish_comment()
         mails = self.portal.MailHost.messages
@@ -126,6 +122,4 @@
         reply2 = self.discussion.getDiscussionFor(reply).getReplies()[0]
         self.portal.MailHost.reset()
-        
-
         reply2.discussion_publish_comment()
         mails = self.portal.MailHost.messages
@@ -141,6 +135,4 @@
         reply = self.discussion.getDiscussionFor(self.my_doc).getReplies()[0]
         self.portal.MailHost.reset()
-        
-
         reply.deleteDiscussion()
         mails = self.portal.MailHost.messages
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3115)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3116)
@@ -83,5 +83,6 @@
         email = obj.getProperty('email', None)
         if email is None:
-            creators = hasattr(obj, 'listCreators') and obj.listCreators() or [obj.Creator(),]
+            creators = hasattr(obj, 'listCreators') and obj.listCreators() or \
+                [obj.Creator(), ]
             userid = creators and creators[0] or ""
             creator = getToolByName(context, 'portal_membership').getMemberById(userid)
@@ -126,9 +127,9 @@
         if user_email:
             template = 'notify_comment_template'
-            args={'mto': user_email,
-                  'mfrom': admin_email,
-                  'obj': reply_parent,
-                  'organization_name': organization_name,
-                  'name': creator_name}
+            args = {'mto': user_email,
+                    'mfrom': admin_email,
+                    'obj': reply_parent,
+                    'organization_name': organization_name,
+                    'name': creator_name}
         else:
             args = {}
@@ -141,9 +142,9 @@
         if user_email:
             template = 'rejected_comment_template'
-            args={'mto': user_email,
-                  'mfrom': admin_email,
-                  'obj': reply_parent,
-                  'organization_name': organization_name,
-                  'name': creator_name}
+            args = {'mto': user_email,
+                    'mfrom': admin_email,
+                    'obj': reply_parent,
+                    'organization_name': organization_name,
+                    'name': creator_name}
         else:
             args = {}
@@ -159,9 +160,9 @@
             user_email = getEmail(di_parrent, context)
             if user_email:
-                args={'mto': user_email,
-                      'mfrom': admin_email,
-                      'obj': reply_parent,
-                      'organization_name': organization_name,
-                      'name': di_parrent.getOwnerTuple()[1]}
+                args = {'mto': user_email,
+                        'mfrom': admin_email,
+                        'obj': reply_parent,
+                        'organization_name': organization_name,
+                        'name': di_parrent.getOwnerTuple()[1]}
             else:
                 args = {}
@@ -173,8 +174,8 @@
         user_email = getParentOwnerEmail(reply, context)
         if user_email:
-            args={'mto':user_email,
-                  'mfrom':admin_email,
-                  'obj':reply_parent,
-                  'organization_name':organization_name}
+            args = {'mto': user_email,
+                    'mfrom': admin_email,
+                    'obj': reply_parent,
+                    'organization_name': organization_name}
             subject = translate(_(u"published_notification_subject",
                 default=u"[${organization_name}] New comment added",
@@ -188,8 +189,8 @@
         user_email = getProp(context, "email_discussion_manager", None)
         if user_email:
-            args={'mto':user_email,
-                  'mfrom':admin_email,
-                  'obj':reply_parent,
-                  'organization_name':organization_name}
+            args = {'mto': user_email,
+                    'mfrom': admin_email,
+                    'obj': reply_parent,
+                    'organization_name': organization_name}
             subject = translate(_(u"approve_notification_subject",
                 default=u"[${organization_name}] New comment awaits moderation",