Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/browser/comments.py	(revision 3118)
@@ -164,7 +164,7 @@
         html = '<br/><span style="color:red">' \
             'You have reported this comment for abuse.</span>'
-        self.commands.addCommand('remove_abuse_report_form', 
-                                 node, 
-                                 comment_id=comment_id, 
+        self.commands.addCommand('remove_abuse_report_form',
+                                 node,
+                                 comment_id=comment_id,
                                  html=html)
 
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/setuphandlers.py	(revision 3118)
@@ -1,4 +1,5 @@
 from Products.CMFCore.utils import getToolByName
 from quintagroup.plonecomments.config import LOGGER
+
 
 def install(context):
@@ -30,4 +31,5 @@
     logger.info('Removed workflow chain for Discussion Item type.')
 
+
 def uninstall(context):
 
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/deleteDiscussion.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/deleteDiscussion.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/skins/quintagroup_plonecomments/deleteDiscussion.py	(revision 3118)
@@ -13,5 +13,5 @@
 
 if obj is None:
-    obj=context
+    obj = context
 
 parent = obj.inReplyTo()
@@ -32,3 +32,3 @@
 
 context.REQUEST['RESPONSE'].redirect(redirect_target.absolute_url() + \
-                                     '/%s' % view )
+                                     '/%s' % view)
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/common.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/common.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/common.py	(revision 3118)
@@ -11,5 +11,5 @@
         membership.addMember(user_id, users_map[user_id]['passw'],
                              users_map[user_id]['roles'], [],
-                             {'email': '%s@test.com' % user_id,})
+                             {'email': '%s@test.com' % user_id, })
 
 
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsConfiglet.py	(revision 3118)
@@ -47,5 +47,5 @@
 
         # Add Manager user - 'dm' and add him to Discussion Manager group
-        self.portal.portal_membership.addMember('dm', 'secret' , ['Manager'], [])
+        self.portal.portal_membership.addMember('dm', 'secret', ['Manager'], [])
         portal_groups = getToolByName(self.portal, 'portal_groups')
         dm_group = portal_groups.getGroupById('DiscussionManager')
@@ -56,5 +56,5 @@
         self.prefs._updateProperty('email_discussion_manager', 'discussion.manager@test.com')
         member = self.portal.portal_membership.getAuthenticatedMember()
-        member.setMemberProperties({'email':'creator@test.com'})
+        member.setMemberProperties({'email': 'creator@test.com'})
         #self.fail(member.getMemberId()+' :: '+member.getUserName()+' \
         #    :: '+str(member.getRoles())+' :: '+member.getProperty('email'))
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsInstall.py	(revision 3118)
@@ -72,5 +72,5 @@
     def test_permission_added(self):
         roles = [item['name'] for item in self.portal.rolesOfPermission(PERM_NAME)]
-        self.failIf( roles == [], '%s not installed.' % PERM_NAME)
+        self.failIf(roles == [], '%s not installed.' % PERM_NAME)
 
 
Index: /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py
===================================================================
--- /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3117)
+++ /quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3118)
@@ -201,5 +201,6 @@
                     'organization_name': organization_name}
             subject = translate(_(u"approve_notification_subject",
-                default=u"[${organization_name}] New comment awaits moderation",
+                default=u"[${organization_name}] New comment awaits "
+                        u"moderation",
                 mapping={u"organization_name": organization_name}),
                 context=context.REQUEST)
@@ -247,5 +248,6 @@
         except (smtplib.SMTPRecipientsRefused, smtplib.SMTPServerDisconnected):
             setStatusMsg(None, context,
-                _('Could not send the email notification. Have you configured an email server for Plone?'))
+                _('Could not send the email notification. '
+                  'Have you configured an email server for Plone?'))
 
 def setStatusMsg(state, context, msg):