Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/Extensions/Install.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/Extensions/Install.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/Extensions/Install.py	(revision 3119)
@@ -5,5 +5,6 @@
     out = StringIO()
     setup_tool = getToolByName(self, 'portal_setup')
-    setup_tool.runAllImportStepsFromProfile('profile-quintagroup.plonecomments:default')
+    profile = 'profile-quintagroup.plonecomments:default'
+    setup_tool.runAllImportStepsFromProfile(profile)
     print >> out, "Imported install profile."
     return out.getvalue()
@@ -12,5 +13,6 @@
     out = StringIO()
     setup_tool = getToolByName(self, 'portal_setup')
-    setup_tool.runAllImportStepsFromProfile('profile-quintagroup.plonecomments:uninstall')
+    profile = 'profile-quintagroup.plonecomments:uninstall'
+    setup_tool.runAllImportStepsFromProfile(profile)
     print >> out, "Imported uninstall profile."
     return out.getvalue()
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/config.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/config.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/config.py	(revision 3119)
@@ -17,13 +17,13 @@
 PERM_NAME = 'Moderate Discussion'
 USERS = {  # Common Members
-         'admin':{'passw': 'secret_admin', 'roles': ['Manager']},
-         'owner':{'passw': 'secret_owner', 'roles': ['Owner']},
-         'member':{'passw': 'secret_member', 'roles': ['Member']},
-         'reviewer':{'passw': 'secret_reviewer', 'roles': ['Reviewer']},
+         'admin': {'passw': 'secret_admin', 'roles': ['Manager']},
+         'owner': {'passw': 'secret_owner', 'roles': ['Owner']},
+         'member': {'passw': 'secret_member', 'roles': ['Member']},
+         'reviewer': {'passw': 'secret_reviewer', 'roles': ['Reviewer']},
            # Members for discussion manager group
-         'dm_admin':{'passw': 'secret_dm_admin', 'roles': ['Manager']},
-         'dm_owner':{'passw': 'secret_dm_owner', 'roles': ['Owner']},
-         'dm_member':{'passw': 'secret_dm_member', 'roles': ['Member']},
-         'dm_reviewer':{'passw': 'secret_dm_reviewer', 'roles': ['Reviewer']},
+         'dm_admin': {'passw': 'secret_dm_admin', 'roles': ['Manager']},
+         'dm_owner': {'passw': 'secret_dm_owner', 'roles': ['Owner']},
+         'dm_member': {'passw': 'secret_dm_member', 'roles': ['Member']},
+         'dm_reviewer': {'passw': 'secret_dm_reviewer', 'roles': ['Reviewer']},
         }
 COMMON_USERS_IDS = [u for u in USERS.keys() if not u.startswith('dm_')]
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/helperNotify.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/helperNotify.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/helperNotify.py	(revision 3119)
@@ -14,5 +14,5 @@
 def testMailExistance(sel):
     mailhost = sel.portal.MailHost
-    if mailhost.messages: 
+    if mailhost.messages:
         return True
     return False
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsCommenting.py	(revision 3119)
@@ -70,5 +70,5 @@
         self.login('dm_admin')
         replies_after = len(self.discussion.getDiscussionFor(doc_obj).getReplies())
-        self.failUnless(replies_after-replies_before,
+        self.failUnless(replies_after - replies_before,
             "Anonymous user CAN'T really add comment in terned ON *Anonymous commenting mode*.")
 
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsNotification.py	(revision 3119)
@@ -49,5 +49,5 @@
 
         # Add Manager user - 'dm' and add him to Discussion Manager group
-        self.portal.portal_membership.addMember('dm', 'secret' , ['Manager'], [])
+        self.portal.portal_membership.addMember('dm', 'secret', ['Manager'], [])
         portal_groups = getToolByName(self.portal, 'portal_groups')
         dm_group = portal_groups.getGroupById('DiscussionManager')
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsPermission.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsPermission.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/tests/testQPloneCommentsPermission.py	(revision 3119)
@@ -13,6 +13,8 @@
 
     def test_install_moderate_discussion_permission(self):
-        roles = [item['name'] for item in self.portal.rolesOfPermission(PERM_NAME) if item['selected'] == 'SELECTED']
-        self.failUnless( roles != [], '%s not installed'%PERM_NAME)
+        roles = [item['name']
+                 for item in self.portal.rolesOfPermission(PERM_NAME)
+                 if item['selected'] == 'SELECTED']
+        self.failUnless(roles != [], '%s not installed' % PERM_NAME)
 
     def test_deleteReply_permission(self):
Index: quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py
===================================================================
--- quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3118)
+++ quintagroup.plonecomments/trunk/quintagroup/plonecomments/utils.py	(revision 3119)
@@ -4,4 +4,5 @@
 from Products.CMFCore.utils import getToolByName
 from Products.CMFPlone.utils import safe_unicode
+
 
 # Get apropriate property from (propery_sheeet) configlet
@@ -14,4 +15,5 @@
     return result
 
+
 def publishDiscussion(self):
     roles = ['Anonymous']
@@ -20,4 +22,5 @@
     self._p_changed = 1
     self.reindexObject()
+
 
 def setAnonymCommenting(context, allow=False):
@@ -35,4 +38,5 @@
             portal.manage_permission('Reply to item', roles, 1)
 
+
 def manage_mails(reply, context, action):
     def sendMails(props, actions, key):
@@ -71,6 +75,8 @@
             sendMails(props, actions, 'onAuthenticatedReportAbuse')
 
+
 def getMsg(context, template, args):
     return getattr(context, template)(**args)
+
 
 def allowEmail(context, reply, state, creator):
@@ -79,4 +85,5 @@
         condition = condition(reply=reply, state=state, creator=creator)
     return condition
+
 
 def send_email(reply, context, state):
@@ -251,4 +258,5 @@
                   'Have you configured an email server for Plone?'))
 
+
 def setStatusMsg(state, context, msg):
     context.plone_utils.addPortalMessage(msg)